/**
 * @file
 * JavaScript behaviors for the paystack form.
 */

 (function ($) {
  Drupal.behaviors.webformPaystack = {
    attach: function (context) {
      // Function to be run before form submission
      var form = $('#' + Drupal.settings.webformpaystack.formId);

      $(form).on('submit', function (e) {
        e.preventDefault();

        if (form.valid()){
          var mailname = Drupal.settings.webformpaystack.emailfield;
          var amountname = Drupal.settings.webformpaystack.amountfield;
          var mail = document.getElementById(mailname).value;
          var amount = document.getElementById(amountname).value;

          if (mail === "") {
            alert('Email field is compulsory');
          }
          else if (amount === "") {
            alert('Amount field is compulsory');
          }
          else {
            var handler = PaystackPop.setup({
              key: Drupal.settings.webformpaystack.key,
              email: mail,
              amount: amount * 100,
              currency: "NGN",
              callback: function (response) {
                //alert('success. transaction ref is ' + response.reference);
                $.when().done(function () {
                  form
                    .off('submit')
                    .submit();
                });
              },
              onClose: function () {
                e.preventDefault();
              }
            });
            handler.openIframe();
          }
        }
      })
    }
  };
})(jQuery);
